Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8373 - anyone allowed to shutdown
Summary: anyone allowed to shutdown
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 13:31 UTC by kconnolly
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 08:21:55 UTC


Attachments (Terms of Use)

Description kconnolly 2000-01-11 13:31:20 UTC
Why does your log-in screen allow anyone to reboot or halt the machine?
Futhermore....when logged inas a user I can shut the machine down by
simply suppling the user password.
On servers, these two items should be reserved for root only.

Comment 1 Cristian Gafton 2000-01-27 08:21:59 UTC
If you have access to the console you have access to the power switch. Whcih
means that you can reboot.

So if you are a legit user of the machine then you already have those
capabilities anyway.


Note You need to log in before you can comment on or make changes to this bug.